server_ip="192.168.123.233"
server_port="8090"

--Objekte
function script_path()
	local str = debug.getinfo(2, "S").source:sub(2)
	return str:match("(.*/)")
end

function init()
  H={} -- hints

  H["NUKI"]="Hiermit kann das NUKI Smartlock gesteuert werden"
  H["GARAGE"]="Hiermit das Garagentor gesteuert"
  H["WZLICHT"]="Hiermit wird das Licht im Wohnzimmer gesteuert"
  H["SZNACHT"]="Hiermit wird die Nachttischlampe gesteuert"
  H["TESTSTECKDOSE"]="Hiermit wird die Teststeckdose gesteuert"

	-- use icon placed in same dir as the plugin ...
	--fhem_png = script_path() .. "fhem.png"
	-- ... or use icon placed in one of neutrino's icon dirs
	--fhem_png = "fhem.png"
end

function godirectkey(d)
	if d  == nil then return d end
	local  _dkey = ""
	if d == 1 then
		_dkey = RC["red"]
	elseif d == 2 then
		_dkey = RC["green"]
	elseif d == 3 then
		_dkey = RC["yellow"]
	elseif d == 4 then
		_dkey = RC["blue"]
	elseif d < 14 then
		_dkey = RC[""..d - 4 ..""]
	elseif d == 14 then
		_dkey = RC["0"]
	else
		-- rest
		_dkey = ""
	end
	return _dkey
end

--Befehle für der Schaltungen

function nukiOeffnen()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.dummy=set%20HomeDoor%20unlatch");
end

function nukiAuf()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.dummy=set%20HomeDoor%20unlock");
end

function nukiZu()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.dummy=set%20HomeDoor%20lock");
end

function Garage()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.dummy=set%20Garage_Steuerung%20on");
end

function WZlicht()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.EG_WZ_Licht=set%20EG_WZ_Licht%20toggle");
end

function WZabendLEDs()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.EG_WZ_DectGruppeLED=set%20EG_WZ_DectGruppeLED%20toggle");
end

function SZnacht()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.OG_SZ_Nachttischlampe=set%20OG_SZ_Nachttischlampe%20toggle");
end

function Teststeckdose()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.Teststeckdose=set%20Teststeckdose%20toggle");
end


--Menü anzeigen
function addMenue()
	d=1
  m = menu.new{name=" FHEM Steuerung", icon= script_path() .. "/fhem_icons/fhem.png"};
  m:addItem{type="separator"}
  m:addItem{type="back"}
	m:addItem{type="separatorline"}
  m:addItem{type="forwarder", action="nukiOeffnen", hint_icon= script_path() .. "/fhem_icons/nuki.png", hint=H["NUKI"], name="NUKI - Haustür öffnen", directkey=godirectkey(d)};
  d=d+1
  m:addItem{type="forwarder", action="nukiAuf", hint_icon= script_path() .. "/fhem_icons/nuki.png", hint=H["NUKI"], name="NUKI - Haustür aufschließen", directkey=godirectkey(d)};
  d=d+1
  m:addItem{type="forwarder", action="nukiZu", hint_icon= script_path() .. "/fhem_icons/nuki.png", hint=H["NUKI"], name="NUKI - Haustür zuschließen", directkey=godirectkey(d)};
  d=d+1
	m:addItem{type="separatorline"}
  m:addItem{type="forwarder", action="Garage", hint_icon= script_path() .. "/fhem_icons/garage.png", hint=H["GARAGE"], name="Garagentor hoch/runter", directkey=godirectkey(d)};
  d=d+1
	m:addItem{type="separatorline"}
  m:addItem{type="forwarder", action="WZlicht", hint_icon= script_path() .. "/fhem_icons/licht.png", hint=H["WZLICHT"], name="Wohnzimmer Licht an/aus", directkey=godirectkey(d)};
  d=d+1
  m:addItem{type="forwarder", action="WZabendLEDs", hint_icon= script_path() .. "/fhem_icons/licht.png", hint=H["WZLICHT"], name="Wohnzimmer LEDs an/aus", directkey=godirectkey(d)};
  d=d+1
  m:addItem{type="forwarder", action="SZnacht", hint_icon= script_path() .. "/fhem_icons/licht.png", hint=H["SZNACHT"], name="Schlafzimmer Nachtlicht an/aus", directkey=godirectkey(d)};
  d=d+1
	m:addItem{type="separatorline"}
  m:addItem{type="forwarder", action="Teststeckdose", hint_icon= script_path() .. "/fhem_icons/steckdose.png", hint=H["TESTSTECKDOSE"], name="Teststeckdose an/aus", directkey=godirectkey(d)};
  d=d+1
  m:exec();
end

init();
addMenue();
